cURL
curl --request POST \
--url https://api.sandbox.finsei.com/v2/auth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowIps": [
"127.0.0.1"
],
"withMfa": true,
"fingerprint": "<string>",
"expiredAt": "2023-11-07T05:31:56Z",
"app": "<string>"
}
'import requests
url = "https://api.sandbox.finsei.com/v2/auth"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowIps": ["127.0.0.1"],
"withMfa": True,
"fingerprint": "<string>",
"expiredAt": "2023-11-07T05:31:56Z",
"app": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowIps: ['127.0.0.1'],
withMfa: true,
fingerprint: '<string>',
expiredAt: '2023-11-07T05:31:56Z',
app: '<string>'
})
};
fetch('https://api.sandbox.finsei.com/v2/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "VALIDATE",
"errors": {
"email": "Email cannot be blank."
}
}{
"status": "CREATED",
"id": "00000000-0000-0000-0000-000000000000"
}{
"status": "MFA_REQUIRED",
"mfaToken": "def456"
}{
"query": {
"id": "The provided 'ID' is not a valid UUID."
},
"body": {
"email": "Email cannot be blank."
}
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"status": "ERROR",
"errors": {
"email": "Email cannot be blank."
}
}{
"name": "Too Many Requests",
"message": "string",
"status": 429
}Endpoints
POST /v2/auth
POST
/
v2
/
auth
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I